diff --git a/res/res_pjsip_stir_shaken.c b/res/res_pjsip_stir_shaken.c
index 0637a6672f..2bd9e9427e 100644
--- a/res/res_pjsip_stir_shaken.c
+++ b/res/res_pjsip_stir_shaken.c
@@ -229,7 +229,7 @@ static int stir_shaken_incoming_request(struct ast_sip_session *session, pjsip_r
 
 	profile = ast_stir_shaken_get_profile(session->endpoint->stir_shaken_profile);
 	if ((profile && !ast_stir_shaken_profile_supports_verification(profile))
-		&& ((session->endpoint->stir_shaken & AST_SIP_STIR_SHAKEN_VERIFY) == 0)) {
+		|| (!profile && (session->endpoint->stir_shaken & AST_SIP_STIR_SHAKEN_VERIFY) == 0)) {
 		return 0;
 	}
 
@@ -482,7 +482,7 @@ static void stir_shaken_outgoing_request(struct ast_sip_session *session, pjsip_
 
 	profile = ast_stir_shaken_get_profile(session->endpoint->stir_shaken_profile);
 	if ((profile && !ast_stir_shaken_profile_supports_attestation(profile))
-		&& ((session->endpoint->stir_shaken & AST_SIP_STIR_SHAKEN_ATTEST) == 0)) {
+		|| (!profile && (session->endpoint->stir_shaken & AST_SIP_STIR_SHAKEN_ATTEST) == 0)) {
 		return;
 	}
 
